<HdlWorker Language="vhdl" Version="2" Spec="pr_cordic-spec.xml" DataWidth="32"
  ExactParts="
    zynq:xc7z020-1-clg484
    zynq_ise:xc7z020_ise_alias-1-clg484
    zynq_ultra:xczu7ev-2-ffvc1156e
    virtex6:xc6vlx240t-1-ff1156
    stratix4:ep4sgx230k-c2-f40
    artix7:xc7a50t-2-csg325">

  <SpecProperty Name="DATA_WIDTH" Parameter="true" Default="16"/>
  <SpecProperty Name="DATA_EXT" Parameter="true" Default="6"/>
  <SpecProperty Name="STAGES" Parameter="true" Default="18"/>

  <Property Name="PEAK_MONITOR" Type="bool" Parameter="true" Default="true"
	    Description="Enable/Disable build-time inclusion of Peak Monitoring" />

  <Property Name="peak" Type="short" Volatile="true"
	    Description="Peak value of I/Q output."/>

  <StreamInterface Name="in"/>
  <StreamInterface Name="out" insertEOM='1'/>

</HdlWorker>
